import { openDB, field, validate, type QueryOpts } from '../src/index'

class User {
  @field('primary key')
  id!: number

  @field('required')
  name!: string

  @field('email')
  email!: string

  @field()
  age?: number
}

async function main() {
  const db = await openDB({ sqlite: ":memory:" })
  db.model(User, 'users')
}

main().catch(console.error)